Bug 1794296 - trace-cmd-2.7-8.fc32: FTBFS with gcc 10: multiple definition of `common_type_field'
Summary: trace-cmd-2.7-8.fc32: FTBFS with gcc 10: multiple definition of `common_type_...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: trace-cmd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zamir SUN
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F32FTBFS GCC10
TreeView+ depends on / blocked
 
Reported: 2020-01-23 08:19 UTC by Jitka Plesnikova
Modified: 2020-02-09 03:53 UTC (History)
2 users (show)

Fixed In Version: trace-cmd-2.8.3-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1800866 (view as bug list)
Environment:
Last Closed: 2020-02-09 03:53:50 UTC
Type: Bug


Attachments (Terms of Use)

Description Jitka Plesnikova 2020-01-23 08:19:39 UTC
trace-cmd-2.7-8.fc32 fails to build in F32:

( gcc trace-cmd.o trace-record.o trace-read.o trace-split.o trace-listen.o trace-stack.o trace-hist.o trace-mem.o trace-snapshot.o trace-stat.o trace-hash.o trace-profile.o trace-stream.o trace-restore.o trace-check-events.o trace-show.o trace-list.o libtracecmd.a -rdynamic -o trace-cmd -Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld  -L. -ltracecmd -ldl)
/usr/bin/ld: trace-mem.o:/builddir/build/BUILD/trace-cmd-v2.7/trace-mem.c:47: multiple definition of `common_type_field'; trace-hist.o:/builddir/build/BUILD/trace-cmd-v2.7/trace-hist.c:44: first defined here
collect2: error: ld returned 1 exit status

A difference between passing and failing build root is at 
https://koschei.fedoraproject.org/build/7742247
This is probably triggered with an upgrade of gcc from 9.2.1-1.fc32.3 to 10.0.1-0.3.fc32.


Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/trace-cmd

Comment 1 Zamir SUN 2020-01-24 02:33:53 UTC
Currently I am travelling so don't really can check this. 
If Jon don't have time to check this for the coming week, I'll take a look after I am back home (probably in early Feb).

Comment 2 Zamir SUN 2020-02-09 03:53:50 UTC
Fixed in Rawhide

https://koji.fedoraproject.org/koji/buildinfo?buildID=1458121


Note You need to log in before you can comment on or make changes to this bug.